<template>
  <div class="contanier">
    <button class="btn--primary" @click="toggleLoading">
      {{ name }}
      <img
        v-if="loading"
        :src="loadingSpinnerSrc"
        class="btn--primary__loading-indicator"
      />
      <img v-else :src="iconSrc" class="btn--primary__choose-icon" />
    </button>
  </div>
</template>

<script>
export default {
  name: "ChooseButtonComponent",
  props: {
    name: String,
    iconSrc: String,
    loading: Boolean,
    loadingSpinnerSrc: String
  },
  methods: {
    toggleLoading() {
      this.$emit("toggleLoading");
    }
  }
};
</script>

<style scoped lang="scss">
.contanier {
  display: "flex";
  flex-direction: "row";
  justify-content: "center";
}
.btn--primary {
  margin-top: 10px;
  outline: none;
  display: flex;
  align-items: center;
  margin: auto;
  justify-content: space-around;
  background-color: #1895ff;
  width: 200px;
  color: #fff;
  padding: 0 10px;
  height: 62px;
  cursor: pointer;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.3);
  transition: all 0.15s ease-in-out;
  font-size: 18px;
  &:hover {
    box-shadow: 0 3px 2px 0 rgba(0, 0, 0, 0.3);
    background-color: #006ecb;
  }
  &__loading-indicator,
  &__choose-icon {
    height: 20px;
    width: 20px;
  }
}

@media only screen and (max-width: 376px) {
  .btn--primary {
    width: 90%;
    justify-content: space-evenly;
    font-size: 23px;
    text-transform: uppercase;
    &__loading-indicator,
    &__choose-icon {
      height: 30px;
      width: 30px;
    }
  }
}
</style>
